- Qt 6.10
- Qt QML Compiler
- C++ Classes
- QtQmlCompiler (Technical Preview)
- Binding
- Qt 6.10.2 Reference Documentation

# Obsolete Members for QQmlSA::Binding

The following members of class Binding are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(deprecated in 6.9)` QQmlSA::Element | attachingType() const

## Member Function Documentation

### `[deprecated in 6.9]` QQmlSA::Element Binding::attachingType() const

This function is deprecated since 6.9. We strongly advise against using it in new code.

Returns the attached type if the content type of this binding is AttachedProperty, otherwise returns an invalid Element.

Use the better named attachedType() method.